<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/qmui_topbar_height"
        android:fitsSystemWindows="true"/>

    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_40"
        android:layout_gravity="bottom"
        android:orientation="horizontal">

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_print_order"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="bottom"
            android:layout_weight="1"
            android:background="@color/orange_400"
            android:clickable="true"
            android:text="打印賬單"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_14" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_modify_order"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="bottom"
            android:layout_weight="1"
            android:background="@color/blue_400"
            android:clickable="true"
            android:visibility="visible"
            android:text="修改訂單"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_14" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_tips"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="bottom"
            android:layout_weight="1"
            android:background="@color/green_400"
            android:clickable="true"
            android:text="貼士"
            android:visibility="gone"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_14" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_cancel_order"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="取消訂單"
            android:textSize="@dimen/sp_13"
            android:textColor="@color/theme_white_color"
            android:background="@color/red_300"/>

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_refund"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="bottom"
            android:layout_weight="1"
            android:background="@color/red_500"
            android:clickable="true"
            android:text="退款"
            android:visibility="gone"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_14" />
    </LinearLayout>

    <TextView
        android:id="@+id/tv_order_status"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_40"
        android:layout_gravity="bottom"
        android:text="已取消"
        android:gravity="center"
        android:visibility="gone"
        android:textSize="@dimen/sp_16"
        android:textColor="@color/theme_white_color"
        android:background="@color/gray"
        android:orientation="horizontal"/>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="@dimen/dp_40"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/qmui_config_color_white"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/dp_8">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_table_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_18"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_people_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="@dimen/dp_20"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_18"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_order_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/tv_table_name"
                    android:layout_marginTop="@dimen/dp_3"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/tv_open_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/tv_order_num"
                    android:layout_marginTop="@dimen/dp_3"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/tv_pay_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/tv_open_time"
                    android:layout_marginTop="@dimen/dp_3"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_14" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:layout_marginTop="@dimen/dp_8"
                android:background="@color/theme_background_color" />

            <TextView
                android:id="@+id/tv_food_detail_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tv_open_time"
                android:layout_marginTop="@dimen/dp_10"
                android:text="食品詳情"
                android:textColor="@color/black"
                android:textStyle="bold"
                android:textSize="@dimen/sp_16" />

            <com.gingersoft.gsa.cloud.ui.view.base.NoScrollRecyclerView
                android:id="@+id/recycler_food"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:divider="@null"
                android:layout_marginTop="@dimen/dp_5"
                android:focusable="false"
                android:scrollbars="none" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:layout_marginTop="@dimen/dp_8"
                android:background="@color/theme_background_color" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/tv_total_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:textStyle="bold"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/tv_total"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="@dimen/dp_10"
                    android:textStyle="bold"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16" />

                <com.gingersoft.gsa.cloud.ui.view.base.NoScrollRecyclerView
                    android:id="@+id/recycler_order_moeny"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/tv_total_text"
                    android:divider="@null"
                    android:focusable="false"
                    android:scrollbars="none" />

                <TextView
                    android:id="@+id/tv_total_money_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/recycler_order_moeny"
                    android:layout_marginTop="@dimen/dp_10"
                    android:textStyle="bold"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/tv_total_money"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_below="@+id/recycler_order_moeny"
                    android:layout_marginTop="@dimen/dp_10"
                    android:textStyle="bold"
                    android:text=""
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:layout_marginTop="@dimen/dp_8"
                android:background="@color/theme_background_color" />

            <com.gingersoft.gsa.cloud.ui.view.base.NoScrollRecyclerView
                android:id="@+id/recycler_pay_method"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dp_8"
                android:layout_marginTop="@dimen/dp_8"
                android:divider="@null"
                android:focusable="false"
                android:scrollbars="none" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <FrameLayout
        android:id="@+id/rl_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/shape_rect_radius_transparent_5"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_reload_exception_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:drawableTop="@mipmap/meal_order_exception"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_16"
            android:text="取消狀態異常,輕觸重試"
            android:visibility="gone"/>
    </FrameLayout>
</merge>